import {StyleSheet, Text, View} from 'react-native';
import {Provider} from "react-redux";

import {useFonts} from 'expo-font';
import {store} from "./redux/store";
import React from "react";
import CommonPage from "./screens/CommonPage/CommonPage";


export default function App() {
    let [fontsLoading] = useFonts({
        'SF Pro Text': require('./assets/fonts/SF-Pro-Text-Regular.otf')
    })
    if (!fontsLoading)
        return <View><Text>Loading...</Text></View>

    return (
        <Provider store={store}>
            <CommonPage/>
        </Provider>

    );
}

const styles = StyleSheet.create({
    container: {
        flex: 1,
        backgroundColor: '#fff',
        alignItems: 'center',
        justifyContent: 'center',
    },
});
